<?php
/**
* @version	$Id: related_searches_tag_processor.php 15152 2012-03-04 09:26:24Z alex $
* @package	In-Portal
* @copyright	Copyright (C) 1997 - 2009 Intechnic. All rights reserved.
* @license      GNU/GPL
* In-Portal is Open Source software.
* This means that this software may have been modified pursuant
* the GNU General Public License, and as distributed it includes
* or is derivative of works licensed under the GNU General Public License
* or other free or open source software licenses.
* See http://www.in-portal.org/license for copyright notices and details.
*/

	defined('FULL_PATH') or die('restricted access!');

	class RelatedSearchTagProcessor extends kDBTagProcessor {

		/**
		 * Returns url for search on the Fornt End
		 *
		 * @param Array $params
		 * @return string
		 */
		function RelatedSearchUrl($params)
		{
			$object = $this->getObject($params);
			$keyword = $object->GetDBField('Keyword');

			return $this->Application->HREF($params['search_template'],'', Array('keywords' => $keyword));
		}

		/**
		 * If data was modfied & is in TempTables mode, then parse block with name passed;
		 * remove modification mark if not in TempTables mode
		 *
		 * @param Array $params
		 * @return string
		 * @access public
		 * @author Alexey
		 */
		function SaveWarning($params)
		{
			if ($this->Prefix == 'c-search') {
				return $this->Application->ProcessParsedTag('c', 'SaveWarning', $params);
			}

			return parent::SaveWarning($params);
		}

	}
